"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

require("antd/es/row/style/css");

var _row = _interopRequireDefault(require("antd/es/row"));

require("antd/es/col/style/css");

var _col = _interopRequireDefault(require("antd/es/col"));

require("antd/es/menu/style/css");

var _menu = _interopRequireDefault(require("antd/es/menu"));

var _react = _interopRequireDefault(require("react"));

var _reactDocumentTitle = _interopRequireDefault(require("react-document-title"));

require("../../static/style");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var SubMenu = _menu["default"].SubMenu;
var MenuItemGroup = _menu["default"].ItemGroup;

function renderMenu(props) {
  var picked = props.picked,
      data = props.data;
  var BLOG_KEY = Object.keys(picked)[0];
  var blog = picked[BLOG_KEY];
  var dataBlog = data[BLOG_KEY];
  var keyBlog = {};
  blog.forEach(function (element) {
    var key = element.meta.filename.replace(/\.md$/i, '');
    keyBlog[key] = element;
  });

  function renderMenuChildren(dataBlog) {
    var prePath = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : BLOG_KEY;
    return Object.keys(dataBlog).map(function (key) {
      var pathKey = prePath + "/".concat(key);
      var current = dataBlog[key];

      if (current instanceof Function) {
        var pathData = keyBlog[pathKey];
        return _react["default"].createElement(_menu["default"].Item, {
          onClick: function onClick() {
            props.router.push(pathKey);
          },
          key: pathKey
        }, pathData.meta.title);
      } else {
        return _react["default"].createElement(SubMenu, {
          key: pathKey,
          title: _react["default"].createElement("span", null, key)
        }, renderMenuChildren(current, pathKey));
      }
    });
  }

  var pathname = props.location.pathname;
  return _react["default"].createElement(_menu["default"], {
    style: {
      height: '100%'
    },
    defaultSelectedKeys: [pathname],
    defaultOpenKeys: [pathname.substr(0, pathname.lastIndexOf('/'))],
    mode: "inline"
  }, renderMenuChildren(dataBlog));
}

var _default = function _default(props) {
  return _react["default"].createElement(_reactDocumentTitle["default"], {
    title: props.themeConfig.sitename
  }, _react["default"].createElement(_row["default"], {
    className: "main-wrapper"
  }, _react["default"].createElement(_col["default"], {
    span: 5,
    className: "main-menu"
  }, renderMenu(props)), _react["default"].createElement(_col["default"], {
    span: 19,
    className: "main-container "
  }, _react["default"].createElement("div", {
    className: "main-article-wrapper markdown"
  }, props.children))));
};

exports["default"] = _default;